Eclipse Remote Application Platform

## org.eclipse.rap.rwt.lifecycle
Interface ILifeCycle

Deprecated. As of 2.0, PhaseListeners should only be registered in an `ApplicationConfiguration`. For new applications and custom widgets, consider the (still internal) `RemoteObject` API which is going to replace PhaseListener.

    @Deprecated
    public interface ILifeCycle

This interface represents the life cycle of a request. It is not intended to be implemented by clients.

RWT divides the life cycle of an HTTP request into different phases that are executed sequentially. Each phase has its special purpose and creates the prerequisites needed by the following phases for proper execution.

The phases are:

Prepare UI Root
  Responsible for invoking entry points.
Read Data
  Reading request parameters and applying the contained status information to the corresponding widgets. As an example, if a user has entered some characters into a Text control, the characters are transmitted and applied to the text attribute of the Text instance.
Process Action
  Events are processed which trigger user actions. As an example, when a Button has been pushed, the SelectionListeners attached to the Button are called.
Render
  JavaScript code is generated for the response, that applies the state changes to the client. Only those widget attributes that were changed during the processing of the current request are being rendered. This results in a minimal amount of data that needs to be transferred to the client. The widget tree is not manipulated in this phase anymore.

Since:
  2.0
See Also:
  `Application.addPhaseListener(PhaseListener)`

Method Summary
`void` `addPhaseListener(PhaseListener listener)` Deprecated. Registers a `PhaseListener` with the life cycle.
`void` `removePhaseListener(PhaseListener listener)` Deprecated. Removes a `PhaseListener` from the life cycle.

Method Detail

### addPhaseListener

    void addPhaseListener(PhaseListener listener)

  Deprecated.
  Registers a `PhaseListener` with the life cycle.

  Parameters:
    `listener` - the listener to be added, must not be `null`

### removePhaseListener

    void removePhaseListener(PhaseListener listener)

  Deprecated.
  Removes a `PhaseListener` from the life cycle. Has no effect if an identical listener is not yet registered.

  Parameters:
    `listener` - the listener to be removed, must not be `null`

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0